CoyoteOutputStream (Tomcat API Documentation)
Keywords: org.apache.catalina.connector.CoyoteOutputStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class CoyoteOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.catalina.connector.CoyoteOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class CoyoteOutputStream

extends javax.servlet.ServletOutputStream

Coyote implementation of the servlet output stream.

Author:
  Costin Manolache, Remy Maucherat

Field Summary
`protected OutputBuffer` | `ob`

Constructor Summary
`protected` | `CoyoteOutputStream(OutputBuffer ob)`

Method Summary
`protected java.lang.Object` | `clone()` Prevent cloning the facade.
`void` | `close()`
`void` | `flush()` Will send the buffer to the client.
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int i)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ob

    protected OutputBuffer ob

Constructor Detail

### CoyoteOutputStream

    protected CoyoteOutputStream(OutputBuffer ob)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Prevent cloning the facade.

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### write

    public void write(int i)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Will send the buffer to the client.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.